View Issue Details

IDProjectCategoryView StatusLast Update
0000122FromDual Ops Center for MariaDB and MySQL (focmm)Generalpublic2014-05-02 22:24
Reporterabdel-mawla Assigned Tooli  
PrioritylowSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentosOS Version6.x
Product Version0.2 
Target Version0.1Fixed in Version0.2 
Summary0000122: Merge Start&Stop buttons
DescriptionIn the Replication section under the "Operations" tab, there are six buttons under each slave to control the slave operations:
(Stop Slave,Stop IO Thread, Stop SQL Thread) &
(Start Slave,Start IO Thread, Start SQL Thread)
Three buttons of the above ones should be enabled and the other three should be disabled at the same time.
For ex. if the SQL Thread is stopped, then the "Stop SQL Thread" is disabled while the "Start SQL Thread is enabled" and so on.

I suggest that those six buttons better to be merged into only three buttons and the button label will indicate on which action will be made by clicking on that button.
For ex. if the slave is running fine, the labels of the three buttons should be (Stop Slave, Stop IO Thread and Stop SQL Thread) and after clicking on the "Stop SQL Thread" for ex. the label of this button will be changed to "Start SQL Thread". The same for the other two buttons.

I don't know if that would be better or not for other users, but personally, I like that way of implementation and as a user I prefer dealing with few buttons applications.
BTW, the "Operations" tab for the Replication will be more organized, especially when there are many registered slaves.
TagsNo tags attached.

Activities

abdel-mawla

2014-03-05 14:48

reporter   ~0000085

The same Idea would also be applied in other places like (Database -> Choose a database instance -> Operations tab):
- "Start database" and "Stop database".
- "Make read-only" and "Make read-write".

oli

2014-05-02 22:24

developer   ~0000110

the world is not that easy as discussed already with earlier bug reports.
Is partly fixed with the adaption of the wireframes.

Issue History

Date Modified Username Field Change
2014-02-20 13:02 abdel-mawla New Issue
2014-02-20 13:02 abdel-mawla Status new => assigned
2014-02-20 13:02 abdel-mawla Assigned To => oli
2014-03-05 14:48 abdel-mawla Note Added: 0000085
2014-05-02 22:24 oli Note Added: 0000110
2014-05-02 22:24 oli Status assigned => resolved
2014-05-02 22:24 oli Resolution open => fixed
2014-05-02 22:24 oli Product Version 1.0.0 => 0.2
2014-05-02 22:24 oli Fixed in Version => 0.2
2014-05-02 22:24 oli Target Version 1.0.0 => 0.1